Main Page Widgets Namespaces Book

# Gtk::AboutDialog Class Reference
[Dialogs]

Inheritance diagram for Gtk::AboutDialog:
[legend]
List of all members.

## Detailed Description

TODO.

## Public Types

typedef sigc::slot< void, AboutDialog&, const Glib::ustring& > | SlotActivateLink
| For instance, void on_activate_link_url(AboutDialog& about_dialog, const Glib::ustring& link);.

## Public Member Functions

virtual | ~AboutDialog ()
GtkAboutDialog* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkAboutDialog* | gobj () const
| Provides access to the underlying C GtkObject.
| AboutDialog ()
Glib::ustring | get_name () const
| Retrieves the name of a widget.
void | set_name (const Glib::ustring& name)
| Widgets can be named, which allows you to refer to them from a gtkrc file.
Glib::ustring | get_version () const
void | set_version (const Glib::ustring& version)
Glib::ustring | get_copyright () const
void | set_copyright (const Glib::ustring& copyright)
Glib::ustring | get_comments () const
void | set_comments (const Glib::ustring& comments)
Glib::ustring | get_license () const
void | set_license (const Glib::ustring& license)
Glib::ustring | get_website () const
void | set_website (const Glib::ustring& website)
Glib::ustring | get_website_label () const
void | set_website_label (const Glib::ustring& website_label)
Glib::StringArrayHandle | get_authors () const
void | set_authors (const Glib::StringArrayHandle& authors) const
Glib::StringArrayHandle | get_documenters () const
void | set_documenters (const Glib::StringArrayHandle& documenters)
Glib::StringArrayHandle | get_artists () const
void | set_artists (const Glib::StringArrayHandle& artists)
Glib::ustring | get_translator_credits () const
void | set_translator_credits (const Glib::ustring& translator_credits)
Glib::RefPtr<Gdk::Pixbuf> | get_logo ()
Glib::RefPtr<const Gdk::Pixbuf> | get_logo () const
void | set_logo (const Glib::RefPtr<Gdk::Pixbuf>& logo)
Glib::ustring | get_logo_icon_name () const
void | set_logo_icon_name (const Glib::ustring& icon_name)
Glib::PropertyProxy<Glib::ustring> | property_name ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_name () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_version ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_version () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_copyright ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_copyright () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_comments ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_comments () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_website ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_website () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_website_label ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_website_label () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::ustring> | property_license ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_license () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::StringArrayHandle> | property_authors ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::StringArrayHandle > | property_authors () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::StringArrayHandle> | property_documenters ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::StringArrayHandle > | property_documenters () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::StringArrayHandle> | property_translator_credits ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::StringArrayHandle > | property_translator_credits () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy<Glib::StringArrayHandle> | property_artists ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::StringArrayHandle > | property_artists () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_logo ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gdk::Pixbuf >> | property_logo () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Static Public Member Functions

void | set_email_hook (const SlotActivateLink& slot)
void | set_url_hook (const SlotActivateLink& slot)

## Related Functions

(Note that these are not member functions.)
Gtk::AboutDialog* | wrap (GtkAboutDialog* object, bool take_copy=false)

## Member Typedef Documentation

typedef sigc::slot<void, AboutDialog& , const Glib::ustring& > Gtk::AboutDialog::SlotActivateLink

| For instance, void on_activate_link_url(AboutDialog& about_dialog, const Glib::ustring& link);.

## Constructor & Destructor Documentation

virtual Gtk::AboutDialog::~AboutDialog | ( |  | ) | `[virtual]`

Gtk::AboutDialog::AboutDialog | ( |  | ) |

## Member Function Documentation

Glib::StringArrayHandle Gtk::AboutDialog::get_artists | ( |  | ) | const

Glib::StringArrayHandle Gtk::AboutDialog::get_authors | ( |  | ) | const

Glib::ustring Gtk::AboutDialog::get_comments | ( |  | ) | const

Glib::ustring Gtk::AboutDialog::get_copyright | ( |  | ) | const

Glib::StringArrayHandle Gtk::AboutDialog::get_documenters | ( |  | ) | const

Glib::ustring Gtk::AboutDialog::get_license | ( |  | ) | const

Glib::RefPtr<const Gdk::Pixbuf> Gtk::AboutDialog::get_logo | ( |  | ) | const

Glib::RefPtr<Gdk::Pixbuf> Gtk::AboutDialog::get_logo | ( |  | ) |

Glib::ustring Gtk::AboutDialog::get_logo_icon_name | ( |  | ) | const

Glib::ustring Gtk::AboutDialog::get_name | ( |  | ) | const

Retrieves the name of a widget.

See set_name() for the significance of widget names.

Returns:
  Name of the widget. This string is owned by GTK+ and should not be modified or freed.

Reimplemented from Gtk::Widget.

Glib::ustring Gtk::AboutDialog::get_translator_credits | ( |  | ) | const

Glib::ustring Gtk::AboutDialog::get_version | ( |  | ) | const

Glib::ustring Gtk::AboutDialog::get_website | ( |  | ) | const

Glib::ustring Gtk::AboutDialog::get_website_label | ( |  | ) | const

const GtkAboutDialog* Gtk::AboutDialog::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

GtkAboutDialog* Gtk::AboutDialog::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

Glib::PropertyProxy_ReadOnly<Glib::StringArrayHandle> Gtk::AboutDialog::property_artists | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::StringArrayHandle> Gtk::AboutDialog::property_artists | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::StringArrayHandle> Gtk::AboutDialog::property_authors | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::StringArrayHandle> Gtk::AboutDialog::property_authors | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::AboutDialog::property_comments | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::AboutDialog::property_comments | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::AboutDialog::property_copyright | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::AboutDialog::property_copyright | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::StringArrayHandle> Gtk::AboutDialog::property_documenters | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::StringArrayHandle> Gtk::AboutDialog::property_documenters | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::AboutDialog::property_license | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::AboutDialog::property_license | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::RefPtr<Gdk::Pixbuf>> Gtk::AboutDialog::property_logo | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::RefPtr<Gdk::Pixbuf>> Gtk::AboutDialog::property_logo | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::AboutDialog::property_name | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gtk::Widget.

Glib::PropertyProxy<Glib::ustring> Gtk::AboutDialog::property_name | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gtk::Widget.

Glib::PropertyProxy_ReadOnly<Glib::StringArrayHandle> Gtk::AboutDialog::property_translator_credits | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::StringArrayHandle> Gtk::AboutDialog::property_translator_credits | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::AboutDialog::property_version | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::AboutDialog::property_version | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::AboutDialog::property_website | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::AboutDialog::property_website | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::AboutDialog::property_website_label | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::AboutDialog::property_website_label | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::AboutDialog::set_artists | ( | const Glib::StringArrayHandle& | artists | ) |

void Gtk::AboutDialog::set_authors | ( | const Glib::StringArrayHandle& | authors | ) | const

void Gtk::AboutDialog::set_comments | ( | const Glib::ustring& | comments | ) |

void Gtk::AboutDialog::set_copyright | ( | const Glib::ustring& | copyright | ) |

void Gtk::AboutDialog::set_documenters | ( | const Glib::StringArrayHandle& | documenters | ) |

void Gtk::AboutDialog::set_email_hook | ( | const SlotActivateLink& | slot | ) | `[static]`

void Gtk::AboutDialog::set_license | ( | const Glib::ustring& | license | ) |

void Gtk::AboutDialog::set_logo | ( | const Glib::RefPtr<Gdk::Pixbuf>& | logo | ) |

void Gtk::AboutDialog::set_logo_icon_name | ( | const Glib::ustring& | icon_name | ) |

void Gtk::AboutDialog::set_name | ( | const Glib::ustring& | name | ) |

Widgets can be named, which allows you to refer to them from a gtkrc file.

You can apply a style to widgets with a particular name in the gtkrc file. See the documentation for gtkrc files (on the same page as the docs for Gtk::RcStyle).

Note that widget names are separated by periods in paths (see path()), so names with embedded periods may cause confusion.

Parameters:

  | name | Name for the widget.

Reimplemented from Gtk::Widget.

void Gtk::AboutDialog::set_translator_credits | ( | const Glib::ustring& | translator_credits | ) |

void Gtk::AboutDialog::set_url_hook | ( | const SlotActivateLink& | slot | ) | `[static]`

void Gtk::AboutDialog::set_version | ( | const Glib::ustring& | version | ) |

void Gtk::AboutDialog::set_website | ( | const Glib::ustring& | website | ) |

void Gtk::AboutDialog::set_website_label | ( | const Glib::ustring& | website_label | ) |

## Friends And Related Function Documentation

Gtk::AboutDialog* wrap | ( | GtkAboutDialog* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- aboutdialog.h